//
//  AnimationComponent.h
//  SpaceInvadersTutorial
//
//  Created by Barbara Köhler on 6/16/13.
//  Copyright (c) 2013 Barbara Köhler. All rights reserved.
//

#import <SpriteKit/SpriteKit.h>

@interface AnimationComponent : NSObject

@property (readonly) SKAction* animation;

// uses all images in one texture atlas for the animation (images are sorted in alphabetical order)
// the method will always pick the proper texture (imagine there are two files alien.png and alien@2x.png, the animation will only use one of them. Which one is decided depending on device resolution
- (id)initWithTextureAtlas:(NSString*) textureAtlasName timePerFrame:(NSTimeInterval) sec;
- (id)initWithTextureAtlas:(NSString*) textureAtlasName timePerFrame:(NSTimeInterval) sec shouldRepeat:(BOOL) repeats;

// uses images in one texture atlas, that follow a specific naming pattern, for the animation
- (id)initWithTextureAtlas:(NSString*)textureAtlasName withBaseImageName:(NSString*) baseImageName timePerFrame:(NSTimeInterval) sec;
- (id)initWithTextureAtlas:(NSString*)textureAtlasName withBaseImageName:(NSString*) baseImageName timePerFrame:(NSTimeInterval) sec shouldRepeat:(BOOL) repeats;

@end
